package oauth2

import (
	"git.esin.io/lab/weixin/clientapi/request"
)

type Userinfo struct {
	request.Error
	OpenID     string   `json:"openid"`
	NickName   string   `json:"nickname"`
	Sex        int8     `json:"sex"`
	Province   string   `json:"province"`
	City       string   `json:"city"`
	Country    string   `json:"country"`
	HeadImgURL string   `json:"headimgurl"`
	Privilege  []string `json:"privilege"`
	UnionID    string   `json:"unionid"`
}
